NSX-T Data Center REST API
Patch a distributed vxlan connection
If a distributed vxlan connection is not already present, create a new distributed vxlan connection.If it already exists, update the distributed vxlan connection.
Request:
Method:
PATCH
URI Path(s):
/policy/api/v1/infra/distributed-vxlan-connections/{distributed-vxlan-connection-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
DistributedVxlanConnection+
Example Request:
PATCH https://<policy-mgr>/policy/api/v1/infra/distributed-vxlan-connections/dvc-1 { "route_controller_path": "/infra/route-controllers/RC-1", "l3_vni": 75003, "route_distinguisher": "40.40.40.101:421", "route_targets": [ { "address_family": "L2VPN_EVPN", "import_route_targets": [ "521:1" ], "export_route_targets": [ "421:1" ] } ], "connectivity_type": "L3_EVPN" }Successful Response:
Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a